
# 15-462 project makefile
# Authors: Eric Butler

# EDIT THIS VARIABLE TO ADD ADDITIONAL SOURCE FILES
SRCS =	application/application.cpp \
	application/imageio.cpp \
	application/camera_control.cpp \
	math/math.cpp \
	math/vector.cpp \
	math/matrix.cpp \
	math/quaternion.cpp \
	scene/camera.cpp \
	scene/model.cpp

# files specific to the 2d part
SRC2D = application/main2d.cpp \
	p1_2d.cpp

# files specific to the model part
SRCMODEL = \
	application/mainmodel.cpp \
	application/model_animation.cpp \
	p1_model.cpp

# files specific to the coaster part
SRCCOASTER = \
	application/maincoaster.cpp \
	application/spline_parser.cpp \
	p1_coaster.cpp
