/**
 * @file model_animation.hpp
 * @brief Staff animations for project 1 model.
 *
 * @author Eric Butler (edbutler)
 */

#ifndef _462_APPLICATION_MODEL_ANIMATION_HPP_
#define _462_APPLICATION_MODEL_ANIMATION_HPP_

#include "p1_model.hpp"
#include <string>

namespace _462 {

/**
 * Animates the given control points using the given animation.
 * Does nothing if the animation is not recognized.
 */
void animate_control_points( std::string animation, real_t absolute_time, HermiteControlPointList& points ); 

} /* _462 */

#endif /* _462_APPLICATION_MODEL_ANIMATION_HPP_ */
