/**
 * @file spline_parser.hpp
 * @brief Functions for parsing a file of spline control points.
 *
 * @author Linus Li (zeyangl)
 */

#ifndef _462_APPICATION_SPLINE_PARSER_HPP_
#define _462_APPICATION_SPLINE_PARSER_HPP_

#include "p1_coaster.hpp"

namespace _462 {

bool parse_spline_file( const char* filename, CatmullRomControlPointList& list, real_t* tau );

} /* _462 */

#endif /* _462_APPICATION_SPLINE_PARSER_HPP_ */

