/**
 * @file opengl.hpp
 * @brief Includes the correct opengl header files depending on the
 *  platform. Use this file to include any gl header files.
 */

#ifndef _462_OPENGL_HPP_
#define _462_OPENGL_HPP_

#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#define NOMINMAX
#include <iostream>
#include <windows.h>
#endif

#include <GL/gl.h>
#include <GL/glu.h>

#endif /* _462_OPENGL_HPP_ */

